SEQanswers

Go Back   SEQanswers > Bioinformatics > Bioinformatics



Similar Threads
Thread Thread Starter Forum Replies Last Post
Samtools "is recognized as '*'" "truncated file" error axiom7 Bioinformatics 3 11-26-2014 02:53 AM
AVA-difference betweeen "computation" reads and "global align" reads CCBIO 454 Pyrosequencing 0 01-17-2014 03:13 AM
DEXSeq error in estimateDispersions: match.arg(start.method, c("log(y)", "mean")) fpadilla Bioinformatics 14 07-03-2013 02:11 PM
"Global median" function in R/Bioconductor? shuang Bioinformatics 1 05-10-2012 06:27 PM
Pileup decoding issue ("]" symbol) julien Bioinformatics 0 04-06-2010 02:25 PM

Reply
 
Thread Tools
Old 07-28-2014, 08:18 AM   #1
likebiology
Member
 
Location: haifa, Israel

Join Date: Aug 2013
Posts: 14
Default error of Global symbol "%Config" in transcriptome analysis

Hi everybody,

I am doing transcriptome data analysis. I am try to install TGICL, I export a path use the code:

export PERL5LIB=/home/cishu/Download/TGICL-2.1/lib:$PERL5LIB

After that, I met the same error whatever I run tgicl or RSEM, the error is list below:

For RSEM:

Global symbol "%Config" requires explicit package name at /usr/share/perl/5.10/Pod/Usage.pm line 567.
Global symbol "%Config" requires explicit package name at /usr/share/perl/5.10/Pod/Usage.pm line 575.
Compilation failed in require at /home/cishu/Download/rsem-1.2.12/rsem-prepare-reference line 4.
BEGIN failed--compilation aborted at /home/cishu/Download/rsem-1.2.12/rsem-prepare-reference line 4.
Error, cmd: rsem-prepare-reference --transcript-to-gene-map Transcriptref.fa.component_to_trans_map Transcriptref.fa Transcriptref.fa.TRANS died with ret: 65280 at /home/cishu/Download/trinityrnaseq_r20131110/util/RSEM_util/run_RSEM_align_n_estimate.pl line 273.

For TGICL:

Global symbol "%Config" requires explicit package name at /usr/lib/perl/5.10/lib.pm line 10.
Global symbol "%Config" requires explicit package name at /usr/lib/perl/5.10/lib.pm line 11.
Global symbol "%Config" requires explicit package name at /usr/lib/perl/5.10/lib.pm line 12.
Compilation failed in require at /home/cishu/Download/TGICL-2.1/bin/tgicl line 8.
BEGIN failed--compilation aborted at /home/cishu/Download/TGICL-2.1/bin/tgicl line 8.

Could anybody show me what's wrong? Thanks!!!
likebiology is offline   Reply With Quote
Old 07-28-2014, 09:24 PM   #2
TiborNagy
Senior Member
 
Location: Budapest

Join Date: Mar 2010
Posts: 329
Default

I think the dependencies are outdated. (lib.pm and Usage.pm)
TiborNagy is offline   Reply With Quote
Old 07-28-2014, 10:11 PM   #3
likebiology
Member
 
Location: haifa, Israel

Join Date: Aug 2013
Posts: 14
Default

Quote:
Originally Posted by TiborNagy View Post
I think the dependencies are outdated. (lib.pm and Usage.pm)
Thank you!

And what should I do to fix it?
likebiology is offline   Reply With Quote
Reply

Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off




All times are GMT -8. The time now is 04:23 PM.


Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2019, vBulletin Solutions, Inc.
Single Sign On provided by vBSSO